> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/get-artifacts-input.md).

# getArtifactsInput

Input parameters for retrieving artifacts with filtering and pagination.

### Examples

```graphql
input GetArtifactsInput {
  limit: Int
  offset: Int
  sort: ArtifactsSort
  dateRange: DateRange
  filters: ArtifactFilters
  artifactTopFilters: [ArtifactTopFilters]
  owners: [String]
  tagIds: [String]
  search: String
  openItems: [FilterTypes]
  conditionalFilters: [ConditionalFilters]
}
```

### Fields

| Field                                                                                                                              | Description                                                                     | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ---------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit `Int`                                                                                                                        | Maximum number of artifacts to return (default: 100)                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| offset `Int`                                                                                                                       | Number of artifacts to skip for pagination (default: 0)                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| sort [`ArtifactsSort`](/api-documentation/api-reference/api--artifact/types/inputs/artifacts-sort.md)                              | Sorting criteria for artifacts. Defaults to sorting by creation date descending | <p>field <a href="/pages/lvUPzBakitHFe8aArEej"><code>\[ArtifactsSortByFields]</code></a><br>order <a href="/pages/MShdjanlfhzp71ZokzYR"><code>\[Direction]</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| dateRange [`DateRange`](/api-documentation/api-reference/api--application/types/inputs/date-range.md)                              | Date range filter using epoch timestamps (default: from 0 to max uint32)        | <p>from <code>Float</code><br>to <code>Float</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| filters [`ArtifactFilters`](/api-documentation/api-reference/api--artifact/types/inputs/artifact-filters.md)                       | Additional filters applied to artifacts                                         | <p>apps <code>\[String]</code><br>artifactType <code>\[String]</code><br>artifactName <code>\[String]</code><br>artifactFullName <code>\[String]</code><br>version <code>\[String]</code><br>sourceType <code>\[String]</code><br>sourceTools <code>\[String]</code><br>registryType <code>\[String]</code><br>registryName <code>\[String]</code><br>cloud <code>\[String]</code><br>cluster <code>\[String]</code><br>cloudAccountId <code>\[String]</code><br>namespace <code>\[String]</code><br>cloudDeployments <code>\[String]</code><br>categories <code>\[String]</code><br>issueSeverities <code>\[String]</code><br>reachability <code>\[String]</code><br>artifactIntegrity <code>\[String]</code><br>artifactSha <code>\[String]</code><br>imageSource <code>\[String]</code><br>baseImage <code>\[String]</code><br>runtimeImageTag <code>\[String]</code><br>instanceId <code>\[String]</code><br>customAttribute <code>\[String]</code><br>k8sLabel <code>\[String]</code></p> |
| artifactTopFilters [`[ArtifactTopFilters]`](/api-documentation/api-reference/api--artifact/types/enums/artifact-top-filters.md)    | List of predefined top-level filters to apply                                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| owners `[String]`                                                                                                                  | List of artifact owners to filter by                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| tagIds `[String]`                                                                                                                  | List of tag IDs to filter artifacts by                                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| search `String`                                                                                                                    | Search string to filter artifacts by name or metadata                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| openItems [`[FilterTypes]`](/api-documentation/api-reference/api--application/types/enums/filter-types.md)                         | List of open item filter types to apply                                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| conditionalFilters [`[ConditionalFilters]`](/api-documentation/api-reference/api--application/types/inputs/conditional-filters.md) | List of conditional filters to apply.                                           | <p>condition <a href="/pages/pEzh4bUHpgEO9hKwuQuZ"><code>ConditionType</code></a><br>fieldName <a href="/pages/43jgm6P5kcKgBM8FmTho"><code>FilterTypes</code></a><br>values <code>\[String]</code><br>greaterThan <code>Float</code><br>lessThan <code>Float</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

### References

#### Queries using this object:

* [\<?> getArtifacts.getArtifactsInput](/api-documentation/api-reference/api--artifact/queries/get-artifacts.md)
* [\<?> getArtifactsTopFilters.getArtifactsInput](/api-documentation/api-reference/api--artifact/queries/get-artifacts-top-filters.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/get-artifacts-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
